put
https://api.gobeeping.com/api/v1/client/orders//cancel
What is it for?
Cancels an order. It can only be cancelled while the warehouse has not yet shipped it.
Conditions
- Requires authentication.
- Validations:
The order MUST be in one of these statuses:- → To be confirmed
- → Pending
- → Ready to prepare
- If the order is in PICKING, PACKING, PREPARED, SHIPPED or RETURNED:
- Error: ORDER_CANNOT_BE_CANCELED (HTTP 400)
- Message: "The order with ID {id} cannot be cancelled."
Parameters
Fill in the fields in Body Params, Query Params and/or Path Params as applicable.
Expected response
HTTP 204 → No content
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
204Order cancelled successfully (no content)
400Invalid ID or malformed request
404Order not found
